Loading...
Searching...
No Matches
construction.cpp File Reference
`#include "gridfire/engine/procedures/construction.h"`
`#include "gridfire/reaction/weak/weak_interpolator.h"`
`#include "gridfire/reaction/weak/weak.h"`
`#include "gridfire/reaction/weak/weak_types.h"`
`#include <ranges>`
`#include <stdexcept>`
`#include <memory>`
`#include "fourdst/atomic/species.h"`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/reaction/reaclib.h"`
`#include "fourdst/composition/composition_abstract.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`
Include dependency graph for construction.cpp:

## Classes

class | gridfire::engine::ReactionSet
class | gridfire::engine::Reaction
| Represents a single nuclear reaction from a specific data source. More...

## Namespaces

namespace | gridfire
namespace | gridfire::engine

## Functions

reaction::ReactionSet | gridfire::engine::build_nuclear_network (const fourdst::composition::CompositionAbstract &composition, const rates::weak::WeakRateInterpolator &weakInterpolator, BuildDepthType maxLayers=NetworkBuildDepth::Full, NetworkConstructionFlags ReactionTypes=NetworkConstructionFlags::DEFAULT)
| Builds a nuclear reaction network from the Reaclib library based on an initial composition.